import greenfoot.*;

/**
 * Write a description of class Asreroid here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Asteroid extends Actor
{
    /**
     * Act - do whatever the Asreroid wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act()
    {
        turnAtEdge();
        randomTurn();
        move(5);
        lookForFlappyBird();
    }
    public Asteroid()
    {
        setRotation(Greenfoot.getRandomNumber(360));
    }
    /**
     * Check whether we are at the edge of the world. If we are, turn a bit.
     * If not, do nothing.
     */
    public void turnAtEdge()
    {
        if ( isAtEdge() ) 
        {
            turn(17);
        }
    }
    /**
     * Randomly decide to turn from the current direction, or not. If we turn
     * turn a bit left or right by a random degree.
     */
    public void randomTurn()
    {
        if (Greenfoot.getRandomNumber(100) > 90) 
        {
            turn(Greenfoot.getRandomNumber(90)-45);
        }
    }
    public void lookForFlappyBird()
    {
        if ( isTouching(FlappyBird.class) ) 
        {
            removeTouching(FlappyBird.class);
            Greenfoot.playSound("Explosion.wav");
            Space space = (Space)getWorld();
            space.showLoseMessage();
            Greenfoot.stop();
        }
    }    
}
